// ------------------------------------------------------------------------------
//      OSCsharp class
//      by Rob Hamilton
//      Mono Runtime Version: 4.0.30319.1
// ------------------------------------------------------------------------------
using System;

using OSCsharp.Net;
using OSCsharp.Data;

public class OSCScript
{
	public UDPTransmitter oscTransmitter;
	public OscPacket testOscPacket;
	public OscMessage controllerOscMessage;
	
	private String sphereNamespace = "/sphere";

	public OSCScript ()
	{	
		oscTransmitter = setOSCTarget ("127.0.0.1", 6666);
		oscTransmitter.Connect ();
	}

	public OSCScript (string ip, int port)
	{

		oscTransmitter = setOSCTarget (ip, port);
		oscTransmitter.Connect ();
	}
		
	UDPTransmitter setOSCTarget(string ip, int port)
	{
		return new UDPTransmitter (ip, port);
	}

	public void sendOSCPlayerPosition(float x, float z)//, float velX, float velY)//, bool facingRight)
	{
		controllerOscMessage = new OscMessage (sphereNamespace);
		controllerOscMessage.Append (x);
		controllerOscMessage.Append (z);
			
		oscTransmitter.Send (controllerOscMessage);
	}
}


